Bug 624327 - (CVE-2010-3015) CVE-2010-3015 kernel: integer overflow in ext4_ext_get_blocks()
CVE-2010-3015 kernel: integer overflow in ext4_ext_get_blocks()
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
reported=20100816,public=20100304,sou...
: Security
Depends On: 621829 624331 624332
Blocks: 627601
  Show dependency treegraph
 
Reported: 2010-08-15 22:02 EDT by Eugene Teo (Security Response)
Modified: 2016-03-04 06:32 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2010-08-15 22:02:18 EDT
Description of problem:
An integer overflow flaw was found in the ext4_ext_get_blocks() function. This can trigger a BUG() on certain configuration of ext4 file systems.

Upstream commit:
http://git.kernel.org/linus/731eb1a03a8445cde2cb23ecfb3580c6fa7bb690
Comment 10 Eugene Teo (Security Response) 2010-08-16 04:03:02 EDT
Acknowledgements:

Red Hat would like to thank Toshiyuki Okajima for reporting this issue.
Comment 11 Eugene Teo (Security Response) 2010-08-17 23:42:29 EDT
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat
Enterprise Linux 3, 4 and Red Hat Enterprise MRG as they did not include
support for the Ext4 filesystem. A future kernel update in Red Hat Enterprise
Linux 5 will address this issue.
Comment 12 errata-xmlrpc 2010-09-29 10:53:55 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0723 https://rhn.redhat.com/errata/RHSA-2010-0723.html

Note You need to log in before you can comment on or make changes to this bug.